summaryrefslogtreecommitdiff
path: root/infrastructure/mingw/configure.sh
diff options
context:
space:
mode:
authorChris Wilson <chris+github@qwirx.com>2011-10-09 10:52:04 +0000
committerChris Wilson <chris+github@qwirx.com>2011-10-09 10:52:04 +0000
commit117e323ab0782b8ed197805f764f99a7aaea8413 (patch)
tree622ae249e5a828819ef42909353b088d4927817c /infrastructure/mingw/configure.sh
parent8710fc97054e6cee01cf9745eac0322fc2e3d48e (diff)
Pass the correct LDFLAGS to Box Backup, to use mingw zlib instead of cygwin,
copied from new Boxi config. Thanks to Achim for finding this and testing the fix.
Diffstat (limited to 'infrastructure/mingw/configure.sh')
-rwxr-xr-xinfrastructure/mingw/configure.sh16
1 files changed, 7 insertions, 9 deletions
diff --git a/infrastructure/mingw/configure.sh b/infrastructure/mingw/configure.sh
index 5b5d946d..ef67d0d4 100755
--- a/infrastructure/mingw/configure.sh
+++ b/infrastructure/mingw/configure.sh
@@ -16,14 +16,6 @@ if [ ! -r "$DEP_PATH/lib/libpcreposix.a" \
exit 2
fi
-export CC="gcc -mno-cygwin"
-export CXX="g++ -mno-cygwin"
-export LD="g++ -mno-cygwin"
-export CFLAGS="-mno-cygwin -mthreads"
-export CXXFLAGS="-mno-cygwin -mthreads"
-export LDFLAGS="-mno-cygwin -mthreads"
-export LIBS="-lcrypto -lws2_32 -lgdi32"
-
if [ ! -x "configure" ]; then
if ! ./bootstrap; then
echo "Error: bootstrap failed, aborting." >&2
@@ -31,7 +23,13 @@ if [ ! -x "configure" ]; then
fi
fi
-if ! ./configure --target=i686-pc-mingw32 "$@"; then
+if ! ./configure "$@" --target=i686-pc-mingw32 \
+ CFLAGS="-mno-cygwin -mthreads" \
+ CPPFLAGS="-mno-cygwin" \
+ CXXFLAGS="-mno-cygwin -mthreads" \
+ LDFLAGS="-mno-cygwin -mthreads -L${DEP_PATH}/lib" \
+ LIBS="-lcrypto -lws2_32 -lgdi32"
+then
echo "Error: configure failed, aborting." >&2
exit 1
fi